Time label can increase past length of song when dragging time slider

May 08, 2013 08:24 - mimitron -

Status: Closed Start date: May 08, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.4   

Affects version:    

Description

Function "Seek forward 5 seconds" and "Seek backward 5 seconds" not work correctly with .wav files.

With .mp3 - OK (xubuntu 13.04).

Many thanks.

History

#1 - May 09, 2013 01:04 - John Lindgren

Works fine here.

#2 - May 10, 2013 11:51 - mimitron -

John Lindgren wrote:

Works fine here.

 

I have a problem on two different computers, both worth xubuntu 13.04.

#3 - May 10, 2013 20:06 - Michael Schwendt

Works fine here (Fedora 19 development, Audacious 3.4-beta1).

Can you give more details, please? What exactly happens?

#4 - May 11, 2013 18:17 - mimitron -

- File 03.png added

- File record.wav added

Can you give more details, please? What exactly happens?

 

moving the slider bar disproportionate length of the track
#5 - May 11, 2013 21:38 - Michael Schwendt

Two observations:

1) If one drags the playpos slider beyond its right border, the displayed time is not capped at the max.time (= duration). Depending on screen size, the

value gets much larger. Also reproducible with other files types, e.g. MP3.

2) If one releases the dragged slider anywhere, playback resumes at a position that doesn't seem to match the displayed time. The time even

advances beyond the displayed duration value (not just for the attached file, also for a pretty common "RIFF (little-endian) data, WAVE audio,

Microsoft PCM, 16 bit, stereo 44100 Hz" converted from MP3 with SoundConverter). IOW, playback stops sometime later.

#6 - May 12, 2013 07:42 - mimitron -

Michael Schwendt, thank you, that's exactly what I meant when I made this task (unfortunately, I am not fluent in English to describe everything in

such detail).

#7 - May 13, 2013 15:33 - John Lindgren

Michael, you seem to be talking about a different bug.  The original report was about seeking back or forward 5 seconds (I assume with the arrow

keys).

#8 - May 13, 2013 19:21 - Michael Schwendt

Well, that may be true, but seeking with arrow keys (as well as with audtool playback-seek-relative) in WAV files works for me just fine (and I've seen

your commit to CLAMP in do_seek(), too). So, the only issues I could fine are with the gtk slider.

#9 - May 14, 2013 04:35 - John Lindgren

I've added another CLAMP to fix the displayed-values-out-of-range problem:

https://github.com/audacious-media-player/audacious-plugins/commit/264d8ead4935c4ae5c8fc1513dc7de7297431cb2

Mimitron, please clarify whether you were reporting the same problem as Michael or if you had another problem with seeking.

#10 - May 14, 2013 07:29 - mimitron -

Mimitron, please clarify whether you were reporting the same problem as Michael or if you had another problem with seeking.

 

I meant exactly the problems that Michael has written.

#11 - May 15, 2013 00:39 - John Lindgren

- Subject changed from Function "Seek forward 5 seconds" and "Seek backward 5 seconds" not work correctly with .wav files to Time label can

increase past length of song when dragging time slider

- Category set to plugins/gtkui

- Status changed from New to Closed
https://github.com/audacious-media-player/audacious-plugins/commit/264d8ead4935c4ae5c8fc1513dc7de7297431cb2


- Target version set to 3.4

- % Done changed from 0 to 100

Fixed then.

Files

03.png 116 KB May 11, 2013 mimitron -

record.wav 339 KB May 11, 2013 mimitron -
